

#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <unistd.h>
#include <string.h>

/* Delay functions. Uses select() with no file-descriptors */

void microdelay(long microseconds)
{
	fd_set emp;
	struct timeval tx;

	memset(&tx, 0, sizeof(struct timeval));

	tx.tv_sec  = microseconds / 1000000;
	tx.tv_usec = microseconds % 1000000;

	/* printf("%s(%d): Wait for %lds %ldus\n", 
		__FILE__, __LINE__, 
		tx.tv_sec, tx.tv_usec); */ 
	
	FD_ZERO(&emp);
	select(0, &emp, &emp, &emp, &tx);
}

void delay(long milliseconds)
{
	return microdelay(milliseconds * 1000);
}



